Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ggf.drmaa
Class ReleaseInconsistentStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.InconsistentStateException
                      org.ggf.drmaa.ReleaseInconsistentStateException

All Implemented Interfaces:
  java.io.Serializable

public class ReleaseInconsistentStateException
extends InconsistentStateException

The job is not in a state where it can be released.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`ReleaseInconsistentStateException()` Creates a new instance of `ReleaseInconsistentStateException` without detail message.
`ReleaseInconsistentStateException(java.lang.String msg)` Constructs an instance of `ReleaseInconsistentStateException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReleaseInconsistentStateException

    public ReleaseInconsistentStateException()

  Creates a new instance of `ReleaseInconsistentStateException` without detail message.

### ReleaseInconsistentStateException

    public ReleaseInconsistentStateException(java.lang.String msg)

  Constructs an instance of `ReleaseInconsistentStateException` with the specified detail message.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD